Permissions.Permission (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types, class: Permissions, class: Permission

Package org.apache.tools.ant.types

# Class Permissions.Permission

java.lang.Object
org.apache.tools.ant.types.Permissions.Permission

Enclosing class:
  Permissions

public static class Permissions.Permission extends Object
Represents a permission.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Permission()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActions()`
  Get the actions.
  `String`
  `getClassName()`
  Get the class of the permission.
  `String`
  `getName()`
  Get the name of the permission.
  `void`
  `setActions​(String actions)`
  Set the actions.
  `void`
  `setClass​(String aClass)`
  Set the class, mandatory.
  `void`
  `setName​(String aName)`
  Set the name of the permission.
  `String`
  `toString()`
  Get a string description of the permissions.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Permission

    public Permission()

- ## Method Details

  - ### setClass

    public void setClass​(String aClass)
    Set the class, mandatory.
    Parameters:
      `aClass` - The class name of the permission.

  - ### getClassName

    public String getClassName()
    Get the class of the permission.
    Returns:
      The class name of the permission.

  - ### setName

    public void setName​(String aName)
    Set the name of the permission.
    Parameters:
      `aName` - The name of the permission.

  - ### getName

    public String getName()
    Get the name of the permission.
    Returns:
      The name of the permission.

  - ### setActions

    public void setActions​(String actions)
    Set the actions.
    Parameters:
      `actions` - The actions of the permission.

  - ### getActions

    public String getActions()
    Get the actions.
    Returns:
      The actions of the permission.

  - ### toString

    public String toString()
    Get a string description of the permissions.
    Overrides:
      `toString` in class `Object`
    Returns:
      string description of the permissions.